- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Interface

# FFMpeg\Format\AudioInterface

interface AudioInterface implements FormatInterface

## Methods

string | getPasses() Returns the number of passes. | from FormatInterface
array() | getExtraParams() Returns an array of extra parameters to add to ffmpeg commandline. | from FormatInterface
integer | getAudioKiloBitrate() Gets the audio kiloBitrate value. |
integer | getAudioChannels() Gets the audio channels value. |
string | getAudioCodec() Returns the audio codec. |
array | getAvailableAudioCodecs() Returns the list of available audio codecs for this format. |

## Details

###
in FormatInterface at line 20
`public string getPasses()`

Returns the number of passes.

#### Return Value

string |

###
in FormatInterface at line 27
`public array() getExtraParams()`

Returns an array of extra parameters to add to ffmpeg commandline.

#### Return Value

array() |

###
at line 20
`public integer getAudioKiloBitrate()`

Gets the audio kiloBitrate value.

#### Return Value

integer |

###
at line 27
`public integer getAudioChannels()`

Gets the audio channels value.

#### Return Value

integer |

###
at line 34
`public string getAudioCodec()`

Returns the audio codec.

#### Return Value

string |

###
at line 41
`public array getAvailableAudioCodecs()`

Returns the list of available audio codecs for this format.

#### Return Value

array |